Use ATNDBTest
Go
/*=============================================================================================================*/
-- جدول عناوین یادداشتهای انبار
-- در جدول عناوین یادداشتهای انبار، کاربر می تواند هر نوع داده اضافی  که در سیستم وجود ندارد را ذخیره کند
-- مثل: شماره بیجک، کد رهگیری، آدرس باربری، تاریخ تحویل به باربری و غیره
Create Table WarehouseNoteTitle(
	Serial Int Identity(1,1) Not Null,
	Code Int Null,
	FADescription Varchar(50) Null,
	ENDescription Varchar(50) Null,
	DefaultValue Varchar(300) Null,
	RecorderRef Int Null,
	RecordDate char(10) Null,
	EditorRef Int Null,
	EditDate char(10) Null,
	OfficeDetailRef Int Null,
	Tag Varchar(50) Null)
Go
Alter Table WarehouseNoteTitle Add Constraint PK_dbo_WarehouseNoteTitle Primary Key Clustered (Serial)
Go
/*=============================================================================================================*/
-- جدول عناوین یادداشتهای انبار به ازاء هر سند
Create Table WarehouseNoteTitlePerDoc(
	Serial Bigint Identity(1,1) Not Null,
	WarehouseNoteTitleRef Int Not Null,
	FactorHeaderRef Bigint Not Null,
	Value Varchar(300) Null,
	Tag Varchar(50) Null)
Go
Alter Table WarehouseNoteTitlePerDoc Add Constraint PK_dbo_WarehouseNoteTitlePerDoc Primary Key Clustered (Serial)
Go
/*=============================================================================================================*/
